Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.extension
Interface IExecutorContext

    public interface IExecutorContext

Method Summary
`IReportItemExecutor` | `createExecutor(IReportItemExecutor parent, java.lang.Object handle)` create IReportItemExecutor of handle, the extendedItem is child.
`IBaseResultSet` | `executeQuery(IBaseResultSet parent, IDataQueryDefinition query)` execute query
`IBaseResultSet` | `executeQuery(IBaseResultSet parent, IDataQueryDefinition query, java.lang.Object handle)` execute query
`java.lang.ClassLoader` | `getApplicationClassLoader()` get the class loader used to load user defined classes.
`IDataQueryDefinition[]` | `getQueries(java.lang.Object handle)` get the queries of the handle
`IReportContent` | `getReportContent()` return IReportContent.

Method Detail

### getApplicationClassLoader

    java.lang.ClassLoader getApplicationClassLoader()

  get the class loader used to load user defined classes.

### createExecutor

    IReportItemExecutor createExecutor(IReportItemExecutor parent,
                                       java.lang.Object handle)

  create IReportItemExecutor of handle, the extendedItem is child.

### getReportContent

    IReportContent getReportContent()

  return IReportContent. User can use it to create content for extendedItem.

### executeQuery

    IBaseResultSet executeQuery(IBaseResultSet parent,
                                IDataQueryDefinition query)

  execute query

### executeQuery

    IBaseResultSet executeQuery(IBaseResultSet parent,
                                IDataQueryDefinition query,
                                java.lang.Object handle)

  execute query

### getQueries

    IDataQueryDefinition[] getQueries(java.lang.Object handle)

  get the queries of the handle

  Parameters:
    `handle` -
  Returns:
    queries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.